import 'package:flutter/material.dart';

class Homepage extends StatefulWidget {
  const Homepage({Key? key}) : super(key: key);

  @override
  _HomepageState createState() => _HomepageState();
}

class _HomepageState extends State<Homepage> {
  final Shader lineartext =
      LinearGradient(colors: [primarySynthCopper400, primarySynthCopper40])
          .createShader(const Rect.fromLTWH(0, 0, 150, 70));

  @override
  Widget build(BuildContext context) {
    var size = MediaQuery.of(context).size;
    return SafeArea(
      child: Scaffold(
        body: SizedBox(
          width: size.width,
          height: size.height,
          child: ListView(
            scrollDirection: Axis.vertical,
            children: [
              Row(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  Text(
                    'synth',
                    style: TextStyle(
                      fontSize: 65,
                      fontFamily: 'Gilroy',
                      fontWeight: FontWeight.w900,
                      foreground: Paint()..shader = lineartext,
                    ),
                  ),
                  Padding(
                    padding: const EdgeInsets.only(top: 15, left: 10),
                    child: Text(
                      'by CRED',
                      style: TextStyle(
                        fontSize: 20,
                        fontFamily: 'Gilroy',
                        fontWeight: FontWeight.w400,
                        color: primarySynthCopper40,
                      ),
                    ),
                  ),
                ],
              ),
              Padding(
                padding: const EdgeInsets.symmetric(vertical: 40),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                  children: [
                    Text(
                      'Synth SoftButton',
                      style: TextStyle(
                        fontSize: 30,
                        fontFamily: 'Gilroy',
                        fontWeight: FontWeight.w900,
                        color: primarySynthCopper400,
                      ),
                    ),
                    SynthSoftbutton(
                      text: 'Agree & continue',
                      width: 200,
                      height: 60,
                      onPressed: () {},
                    ),
                    SynthDrawablebutton(
                        text: 'Idle', width: 180, height: 80, onPressed: () {})
                  ],
                ),
              ),
              Padding(
                padding: const EdgeInsets.symmetric(vertical: 40),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                  children: [
                    Text(
                      'Synth FlatButton',
                      style: TextStyle(
                        fontSize: 30,
                        fontFamily: 'Gilroy',
                        fontWeight: FontWeight.w900,
                        color: primarySynthCopper400,
                      ),
                    ),
                    SynthFlatbutton(
                      text: 'Idle',
                      width: 180,
                      height: 80,
                      onPressed: () {},
                      icon: Icon(
                        Icons.add,
                        color: primarySynthWhite100,
                      ),
                    ),
                    SynthFlatDrawablebutton(
                      text: 'Idle',
                      width: 180,
                      height: 80,
                      onPressed: () {},
                      icon: Icon(
                        Icons.add,
                        color: primarySynthWhite100,
                      ),
                    ),
                  ],
                ),
              ),
              Padding(
                padding: const EdgeInsets.symmetric(vertical: 40),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                  children: [
                    Text(
                      'Synth ImgButton',
                      style: TextStyle(
                        fontSize: 30,
                        fontFamily: 'Gilroy',
                        fontWeight: FontWeight.w900,
                        color: primarySynthCopper400,
                      ),
                    ),
                    NeuImgbutton(
                      radius: 80,
                      onPressed: () {},
                      icon: Icon(
                        Icons.arrow_back_ios_new_rounded,
                        color: primarySynthWhite,
                      ),
                    ),
                    NeuImgbutton(
                      radius: 80,
                      onPressed: () {},
                      icon: Icon(
                        Icons.arrow_forward_ios_rounded,
                        color: primarySynthWhite,
                      ),
                    ),
                  ],
                ),
              ),
              Padding(
                padding: const EdgeInsets.symmetric(vertical: 30),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: [
                    ElevatedView(
                      width: 300,
                      height: 100,
                      child: Center(
                        child: Text(
                          'synth',
                          style: TextStyle(
                            fontSize: 25,
                            fontFamily: 'Gilroy',
                            fontWeight: FontWeight.w900,
                            color: primarySynthCopper400,
                          ),
                        ),
                      ),
                    ),
                  ],
                ),
              ),
              Padding(
                padding: const EdgeInsets.symmetric(vertical: 20),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: [
                    SynthCircularcheckbox(
                      width: 30,
                      height: 30,
                      onPressed: () {},
                    ),
                    Padding(
                      padding: const EdgeInsets.only(left: 30),
                      child: SynthRoundedRectcheckbox(
                        width: 30,
                        height: 30,
                        onPressed: () {},
                      ),
                    )
                  ],
                ),
              ),
              Padding(
                padding: const EdgeInsets.symmetric(vertical: 20),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: [
                    SynthCreditcard(
                      width: 340,
                      height: 200,
                      holder: 'Shanwill Pinto',
                      bankName: 'ICICI BANK',
                      cardNumber: '4145 895XX XXXX 9873',
                      cardProvider: 'master',
                    ),
                  ],
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
